Bug 207812 - Requires and BuildRequires issues
Requires and BuildRequires issues
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2006-09-23 15:06 EDT by Denis Ovsienko
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-21 05:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Denis Ovsienko 2006-09-23 15:06:36 EDT
There are two issues with bluez-utils in Fedora Core 5:

1. Excessive Requires. bluez-utils requires bluez-pin:
* Wed Mar 15 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-4
- Require bluez-pin, since we're configured to use it by default

But the default configuration file (/etc/bluetooth/hcid.conf) contains the
        # PIN helper
        #pin_helper /usr/bin/bluepin;

        # D-Bus PIN helper

There is not hard dependency on the bluez-pin package. The package bluez-pin
contains a Gnome application. When we have a minimal FC5 system, "yum install
bluez-utils" offers to install the following packages except bluez-libs:
GConf2, ORBit2, atk, cairo, fontconfig, freetype, gtk2, hicolor-icon-theme,
libIDL, libX11, libXau, libXcursor, libXdmcp, libXext, libXfixes, libXft, libXi,
libXinerama, libXrandr, libXrender, libglade2, libjpeg, libpng, libtiff, pango,
I suggest to not require bluez-pin package.

2. Missing BuildRequires.
On the same minimal FC5 system it is impossible to rebuild the bluez-utils
package, until we have some extra packages installed. The appropriate line to
fix this would be:
BuildRequires: automake, libtool

To my knowledge, both issues are present in the FC6test3.
Thank you.
Comment 1 David Woodhouse 2007-07-21 05:54:49 EDT
The latter is fixed; the former is different now. See bug 212421.

Note You need to log in before you can comment on or make changes to this bug.